Jump to: navigation, search

Difference between revisions of "MDT-UML2Tools How To Regenerate Diagrams"

m
m
Line 2: Line 2:
 
To regenerate the diagrams you should have 2 Eclipse platforms installed. First is so called "development", second one is "target".
 
To regenerate the diagrams you should have 2 Eclipse platforms installed. First is so called "development", second one is "target".
 
== Installation of target platform ==
 
== Installation of target platform ==
# Download and install all dependencies of latest UML2 Tools build.
+
Target platform is using to modify UML2 Tools models and execute regeneration.
 +
=== 1. Download and install Eclipse platform described in dependencies of latest UML2 Tools build. ===
 +
It's Eclipse  R-3.4-200806172000 for current (0.8.1) version.
 +
 
 +
=== 2. Download and install other dependencies of latest UML2 Tools build. ===
 
Following dependencies should be installed for current (0.8.1) version:
 
Following dependencies should be installed for current (0.8.1) version:
* Eclipse  R-3.4-200806172000
 
 
* EMF 2.4.0 R200806091234
 
* EMF 2.4.0 R200806091234
 
* Query 1.2.0 R200806091744
 
* Query 1.2.0 R200806091744
Line 15: Line 18:
  
 
See [http://www.eclipse.org/modeling/mdt/downloads/?project=uml2tools download page] for dependencies of another version.
 
See [http://www.eclipse.org/modeling/mdt/downloads/?project=uml2tools download page] for dependencies of another version.
 +
 +
=== 3. Install latest build of UML 2 Tools if you are going to work with part of code ===
 +
Latest buils you can find on [http://www.eclipse.org/modeling/mdt/downloads/?project=uml2tools download page]
 +
 +
=== 4. Checkout diagram plugins of UML2 Tools ===
 +
Checkout ""
 +
  
 
== Installation of development platform ==
 
== Installation of development platform ==

Revision as of 04:00, 17 September 2008

How to regenerate UML2 Tools diagrams

To regenerate the diagrams you should have 2 Eclipse platforms installed. First is so called "development", second one is "target".

Installation of target platform

Target platform is using to modify UML2 Tools models and execute regeneration.

1. Download and install Eclipse platform described in dependencies of latest UML2 Tools build.

It's Eclipse R-3.4-200806172000 for current (0.8.1) version.

2. Download and install other dependencies of latest UML2 Tools build.

Following dependencies should be installed for current (0.8.1) version:

  • EMF 2.4.0 R200806091234
  • Query 1.2.0 R200806091744
  • Transaction 1.2.0 R200806091902
  • Validation 1.2.0 R200806091804
  • OCL 1.2.0 R200806091714
  • UML2 2.2.0 R200806091546
  • GEF 3.4.0 R200806091334
  • GMF 2.1.0 R200806121402

See download page for dependencies of another version.

3. Install latest build of UML 2 Tools if you are going to work with part of code

Latest buils you can find on download page

4. Checkout diagram plugins of UML2 Tools

Checkout ""


Installation of development platform

  1. Download and install latest release of Eclipse platform. The build can be found here.
  2. Run development platform.
  3. Checkout "org.eclipse.uml2.diagram.codegen" and "org.eclipse.uml2.diagram.codegen.edit". You can use PSF file to check out.